<?php
/*
 Plugin Name: RealTime Visitors Stats and Geolocation
 Plugin URI: http://www.mapmyuser.com/Widget
 Description: This Widget plugin let you inject MapmyUser.com tracking code into your Blog to enable real-time visitor tracking.
 Version: 1.1
 Author: Sunny Verma
 Author URI: http://www.mapmyuser.com
 License: GPL 2.0, @see http://www.gnu.org/licenses/gpl-2.0.html
 */

/**
 * WP Hooks
 **/
add_action('wp_footer', 'inject_mapmyuser_code');
add_action('admin_menu', 'mapmyuser_widget_options_admin_menu');
/**
 *functions
 */
 //code injector funtion
function inject_mapmyuser_code() {
if (!is_admin())
{
$mmuloc=get_option('mapmyuser_location','rightcenter');
echo "<!-- MapmyUser widget code start -->\n";
if($mmuloc=="hidden")
{
echo "<script type=\"text/javascript\" src=\"http://www.mapmyuser.com/mmu_hidden.js\"></script>\n";
}
else
{
echo "<script type=\"text/javascript\" src=\"http://www.mapmyuser.com/mapmyuser_widget.js\"></script>\n<script type=\"text/javascript\">mapmyuser_widget({location:\"".$mmuloc."\"})</script>\n";
}
echo "<!-- MapmyUser widget code end -->\n";

}
}
//admin menu funtion
function mapmyuser_widget_options_admin_menu(){
add_options_page('MapmyUser Widget Settings','MapmyUser Widget Settings','manage_options',basename(__FILE__),'mapmyuser_settings_page');
}
function mapmyuser_settings_page() {
$mmulocs=array('lefttop'=>'Left Top','leftcenter'=>'Left Center','leftbottom'=>'Left Bottom','righttop'=>'Right Top','rightcenter'=>'Right Center','rightbottom'=>'Right Bottom','bottomleft'=>'Bottom Left','bottomcenter'=>'Bottom Center','bottomright'=>'Bottom Right');
if(isset($_POST['mapmyuser_location'])) {
update_option('mapmyuser_location',$_POST['mapmyuser_location']);
}
$mmu_loc=get_option('mapmyuser_location','rightcenter');
?>
<div class="wrap">
<h2>MapmyUser Widget Settings</h2>
<h4>Your current MapmyUser widget location is &quot;<?php echo $mmulocs[$mmu_loc]; ?>&quot;</h4>
Please select new location from drop-down menu to change the location of your widget
<form method="post" action="">
  Select Location
  <select name="mapmyuser_location">
  <?php
  foreach($mmulocs as $key=>$val)
  {
  ?>
  <option value="<?php echo $key;?>" <?php if($mmu_loc==$key) echo "selected=\"selected\""; ?>><?php echo $val;?></option>
  <? } ?>
  </select>  <input name="button" type="submit" value="Update Position" />
</form>
To track your visitors  click <a href="http://www.mapmyuser.com/stats">here</a> Or Goto http://www.mapmyuser.com/site/<strong>&lt;your domain&gt;</strong></div>
<?php
}
?>
